%define libname_orig libexpat
%define major 1
%define libname %mklibname expat %{major}
%define develname %mklibname expat -d

Summary:	XML parser written in C
Name:		expat
Version:	2.1.0
Release:	1
License:	MPL or GPL
Group:		System/Libraries
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.gz
BuildRequires:	autoconf automake libtool
Requires:	%{libname} >= %{version}-%{release}

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{develname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:       %{libname} >= %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname expat -d 0}
Provides:	%{mklibname expat -d 0} = %{version}-%{release}
Obsoletes:	%{mklibname expat -d 1}

%description -n %{develname}
Development environment for the expat XML parser.

%prep

%setup -q

%build
export CFLAGS="%{optflags} -fPIC"

%configure2_5x --disable-static
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{buildroot}%{_mandir}/man1

# cleanup
rm -rf %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{develname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc


%changelog
* Tue Mar 27 2012 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1
+ Revision: 787538
- 2.1.0 (fixes CVE-2012-0876, CVE-2012-1148, CVE-2012-1147)
- all patches has been applied, so nuke 'em

  + Zé <ze@mandriva.org>
    - proper way to disable static

* Sat Dec 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-16
+ Revision: 737426
- drop the static lib, its sub package and the libtool *.la file
- various fixes

* Sun May 29 2011 Matthew Dawkins <mattydaw@mandriva.org> 2.0.1-15
+ Revision: 681611
- split out static pkg
- dropped major from devel pkg

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-14
+ Revision: 664162
- mass rebuild

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-13mdv2011.0
+ Revision: 601022
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-12mdv2010.1
+ Revision: 488610
- P1: security fix for CVE-2009-3560 (new patch. the old patch caused regressions)

* Sat Dec 05 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-11mdv2010.1
+ Revision: 473800
- P1: security fix for CVE-2009-3560
- added one patch and fixes from fedora

* Sun Aug 23 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-10mdv2010.0
+ Revision: 419987
- bump release
- P0: security fix related to CVE-2009-2625

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-8mdv2009.1
+ Revision: 316206
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-7mdv2009.0
+ Revision: 220735
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-6mdv2008.1
+ Revision: 170823
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-5mdv2008.1
+ Revision: 149707
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-4mdv2008.0
+ Revision: 36867
- use distro conditional -fstack-protector

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 36797
- fix mixture of tabs and spaces
- correct url and source
- drop useless scriplets
- correct obsoletes and provides
- spec file clean

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + David Walluck <walluck@mandriva.org>
    - 2.0.1


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:19:15 (63272)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:15:16 (62920)
- Import expat

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.95.8-3mdk
- rebuild for sparc

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.95.8-2mdk
- Rebuild to get debug package

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.95.8-1mdk
- add new header file
- drop merged patch 2
- drop patch 1, needs a review
- fix source URL
- New release 1.95.8, needed for python 2.4

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.95.7-1mdk
- 1.95.7
- sync with fedora patches

